'use strict';

var _acorn = require('acorn');

var _readTokens = require('./readTokens');

var readTokens = _interopRequireWildcard(_readTokens);

var _readToken = require('./readToken');

var _readToken2 = _interopRequireDefault(_readToken);

var _readString = require('./readString');

var _readString2 = _interopRequireDefault(_readString);

var _readWord = require('./readWord');

var _readWord2 = _interopRequireDefault(_readWord);

var _parseStatement = require('./parseStatement');

var _parseStatement2 = _interopRequireDefault(_parseStatement);

var _parseFromImport = require('./parseFromImport');

var _parseFromImport2 = _interopRequireDefault(_parseFromImport);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

_acorn.plugins.halang = function halangPlugin(parser) {
  parser.extend('readToken', _readToken2.default);
  parser.extend('readString', _readString2.default);
  parser.extend('readWord', _readWord2.default);
  parser.extend('parseStatement', _parseStatement2.default);
  parser.extend('parseFromImport', _parseFromImport2.default);
  parser.extend('readFullTokenCaret', readTokens.readTokenCaret);
  parser.extend('readFullTokenDot', readTokens.readTokenDot);
  parser.extend('readFullTokenEqExcl', readTokens.readTokenEqExcl);
  parser.extend('readFullTokenLtGt', readTokens.readTokenLtGt);
  parser.extend('readFullTokenMultModuloExp', readTokens.readTokenMultModuloExp);
  parser.extend('readFullTokenPipeAmp', readTokens.readTokenPipeAmp);
  parser.extend('readFullTokenPlusMin', readTokens.readTokenPlusMin);
  parser.extend('readFullTokenSlash', readTokens.readTokenSlash);
};